// rightf.js - JavaScript to start the 3-frame layout from ANY html file
// Last changed: 02/05/31 16:25:16

function mayLoadFrameset()
{
  // Older browsers would give an error, so stop now.
  if ((navigator.appName == "Microsoft Internet Explorer") &&
      (parseInt(navigator.appVersion) <= 3)) {
    return;
  }
  if ((navigator.appName == "Netscape") &&
      (parseInt(navigator.appVersion) <= 2)) {
    return;
  }

  // If not loaded inside a frame, jump back to the framed layout.
  if (top.frames[1] == null)
  {
    // Don't modify URL if the window is zero-size, i.e. being printed.
    if (document.layers && (self.innerHeight == 0 && self.innerWidth == 0)) {
      return;
    }

    // If single-frame filename is file.htm, load the frameset document
    // as index.htm#file using the same host and pathname.
    var myname = document.location.pathname;

    // Substitute forward slashes for all backslashes 
    while (myname.indexOf("\\") != -1) {
      myname = myname.substring(0,myname.indexOf("\\")) + "/" + myname.substring(myname.indexOf("\\")+1);
    }

    // Sample topics are in deep subdirectories
    var isSample = myname.indexOf("ad/samples");

    var oldname = myname.substring(0,myname.lastIndexOf("/")+1);
    // Netscape 4.x does not like ':' in URLs.
    if ((navigator.appName == "Netscape") &&
        (parseInt(navigator.appVersion) == 4)) {
      if (oldname.indexOf(":")==2) {
        oldname=oldname.substring(0,2)+"|"+oldname.substring(3,oldname.length); 
      }
    }
    // Topics are always installed in a subdirectory
    var slash = myname.indexOf("/");
    var directory = myname.indexOf("/");
    while (slash > -1 && myname.lastIndexOf("/") != slash) {
      myname = myname.substring(slash+1,myname.length);
      slash = myname.indexOf("/");
      directory = myname.indexOf("/");
    }

    if (isSample != -1) {
      myname = "ad/samples/" + myname;
    }

    if (oldname.substring(0,2)=="//") {
      oldname=oldname.substring(1,oldname.length); 
    }

    if (isSample != -1) {
      newname = oldname + "../../../index.htm?openup="+myname;
    }
    else {
      newname = oldname + "../index.htm?openup="+myname;
    }
    location.href = newname;
  }
}

